



@media (max-width: 768px) {

    .header {
        height: 60px;
    }

    .logo {
        width: 140px;
    }

    .mobile-nav-toggle {
        display: flex;
    }

    .desktop-only {
        display: none;
    }

    .mobile-only {
        display: block;
        margin-top: 20px;
    }

    .navmenu {
        position: fixed;
        top: 0;
        right: -100%;
        width: 40%;
        height: 100%;
        background-color: #fff;
        box-shadow: -5px 0px 15px rgba(0, 0, 0, 0.1);
        transition: right 0.4s ease-in-out;
        z-index: 1000;
        padding: 100px 0 0 40px;
    }

    .navmenu.open {
        right: -20px;
        top: -20px;
        height: 100vh;
    }

    .navmenu ul {
        flex-direction: column;
        align-items: flex-start;
        gap: 25px;
    }

    .mobile-nav-toggle.active .bar:nth-child(1) {
        transform: translateY(9px) rotate(45deg);
    }

    .mobile-nav-toggle.active .bar:nth-child(2) {
        opacity: 0;
    }

    .mobile-nav-toggle.active .bar:nth-child(3) {
        transform: translateY(-9px) rotate(-45deg);
    }

}



@media (max-width: 570px) {

    .navmenu {
        width: 70%;
    }

}



